# Chef Workstation Development Documentation

This directory contains useful information to help Chef Workstation developers get familiar with the Workstation bundling. It includes how-to's and design documentation for the packaged tools.

- High-level [architecture](architecture/chef-infra.wsd)

- Tools packaged in Chef Workstation 

  - [Chef Infra Client](https://github.com/chef/chef/blob/main/docs/dev/README.md)

  - [Chef CLI](https://github.com/chef/chef-cli/blob/main/dev-doc/README.md)

  - [Chef Inspec](https://github.com/inspec/inspec/blob/main/dev-docs/compliance.md)

  - [Chef Habitat](https://github.com/habitat-sh/habitat/blob/main/dev-docs/dev/README.md)

  - [Test Kitchen](https://kitchen.ci/docs/getting-started/introduction/)

  - [Cookstyle](https://github.com/chef/cookstyle/blob/main/DEVELOPER_GUIDE.md)


- [Release Process](https://github.com/chef/chef-workstation/blob/main/dev-docs/Release-Process.md)

- [Product Documentation](https://docs.chef.io/workstation/)
